summaryrefslogtreecommitdiff
path: root/source4/heimdal_build/build_external.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-07 07:22:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:45 -0500
commitbce8cda06123648c377fbef92526f1f56121e513 (patch)
tree75e4b2a190c8e3a5efd7c41433d36766ea189179 /source4/heimdal_build/build_external.sh
parent6eae7eb3c446e26d8003846a79471e6232b1b92e (diff)
downloadsamba-bce8cda06123648c377fbef92526f1f56121e513.tar.gz
samba-bce8cda06123648c377fbef92526f1f56121e513.tar.bz2
samba-bce8cda06123648c377fbef92526f1f56121e513.zip
r7352: the internal heimdal build change. This changes quite a few things:
- if you want kerberos now, you need to unpack a lorikeet heimdal tree in source/heimdal/. If source/heimdal/ does not exist at configure time then all kerberos features are disabled. You cannot use an external kerberos library for now. That may change later. - moved lib/replace/ config stuff to lib/replace/ and create a lib/replace/replace.h. That allows the heimdal build to use our portability layer, and prevenets duplicate definitions of functions like strlcat() - if you do enable heimdal, then you will need to do 'make HEIMDAL_EXTERNAL' before you build Samba. That should be fixed once I explain the problem to jelmer (the problem is the inability to set a depend without also dragging in the object list of the dependency. We need this for building the heimdal asn1 compiler and et compiler. - disabled all of the m4 checks for external kerberos libraries. I left them in place in auth/kerberos/, but disabled it in configure.in some of the heimdal_build/ code is still very rough, for example I don't correctly detect the correct awk, flex, bison replacements for heimdal_build/build_external.sh. I expect to fix that stuff up over the next few days. (This used to be commit d4648249b2c7fc8b5e7c0fc8d8f92ae043b5691f)
Diffstat (limited to 'source4/heimdal_build/build_external.sh')
-rwxr-xr-xsource4/heimdal_build/build_external.sh53
1 files changed, 42 insertions, 11 deletions
diff --git a/source4/heimdal_build/build_external.sh b/source4/heimdal_build/build_external.sh
index 571298b1b3..5ee2de27f9 100755
--- a/source4/heimdal_build/build_external.sh
+++ b/source4/heimdal_build/build_external.sh
@@ -5,10 +5,13 @@
TOP=`pwd`
ASN1_COMPILE=$TOP/bin/asn1_compile
-ET_COMPILE=compile_et
+ET_COMPILE=$TOP/bin/compile_et
+
+# we need to substitute these correctly based on configure output
FLEX=flex
BISON=bison
-
+AWK=gawk
+CC=gcc
build_asn1() {
f=$1
@@ -16,7 +19,7 @@ build_asn1() {
dir=`dirname $f`
file=`basename $f`
- echo Compiling $f
+ echo Building $f
cd $dir && $ASN1_COMPILE $file $name || exit 1
for f in *.x; do
base=`basename $f .x`
@@ -29,7 +32,7 @@ build_et() {
f=$1
dir=`dirname $f`
file=`basename $f`
- echo Compiling $f
+ echo Building $f
cd $dir && $ET_COMPILE $file || exit 1
cd $TOP || exit 1
}
@@ -39,7 +42,7 @@ build_lex() {
dir=`dirname $f`
file=`basename $f`
base=`basename $f .l`
- echo Compiling $f
+ echo Building $f
cd $dir && $FLEX $file
sed '/^#/ s|$base.yy\.c|$base.c|' $base.yy.c > $base.c
cd $TOP || exit 1
@@ -50,24 +53,52 @@ build_bison() {
dir=`dirname $f`
file=`basename $f`
base=`basename $f .y`
- echo Compiling $f
+ echo Building $f
cd $dir && $BISON -y -d $file
sed -e "/^#/!b" -e "s|y\.tab\.h|$base.h|" y.tab.h > $base.h
sed '/^#/ s|y\.tab\.c|$base.c|' y.tab.c > $base.c
cd $TOP || exit 1
}
+build_awk() {
+ f=$1
+ dir=`dirname $f`
+ file=`basename $f`
+ base=`basename $f .h.in`
+ echo Building $f
+ cd $dir && $AWK -f $base.awk $base.h.in > gen.c
+ $CC -I$TOP/heimdal_build -I$TOP -Iheimdal/lib/roken -DHAVE_CONFIG_H -o gen gen.c || exit 1
+ ./gen > $base.h || exit 1
+ rm -f gen gen.c
+ cd $TOP || exit 1
+}
+
+build_cp() {
+ f=$1
+ dir=`dirname $f`
+ file=`basename $f`
+ base=`basename $f in`
+ echo Building $f
+ echo cp $base"in" $base
+ cd $dir && cp $base"in" $base
+ cd $TOP || exit 1
+}
+
+build_cp heimdal/lib/roken/vis.hin
+build_lex heimdal/lib/asn1/lex.l
+build_lex heimdal/lib/com_err/lex.l
+build_bison heimdal/lib/com_err/parse.y
+build_bison heimdal/lib/asn1/parse.y
+build_awk heimdal/lib/roken/roken.h.in
+
+make bin/asn1_compile || exit 1
build_asn1 heimdal/lib/hdb/hdb.asn1 hdb_asn1
build_asn1 heimdal/lib/gssapi/spnego.asn1 spnego_asn1
build_asn1 heimdal/lib/asn1/k5.asn1 krb5_asn1
-
+make bin/compile_et || exit 1
build_et heimdal/lib/hdb/hdb_err.et
build_et heimdal/lib/krb5/krb5_err.et
build_et heimdal/lib/krb5/heim_err.et
build_et heimdal/lib/krb5/k524_err.et
build_et heimdal/lib/asn1/asn1_err.et
-
-build_lex heimdal/lib/asn1/lex.l
-
-build_bison heimdal/lib/asn1/parse.y